KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataLinearRing Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataLineString → QVector
Namespace: Marble

## Detailed Description

A class that defines a closed, contiguous set of line segments.

Also known as: closed Polyline

GeoDataLinearRing consists of GeoDataPoints connected through line segments. For convenience and performance we've added special methods to calculate the smallest GeoDataLatLonAltBox that contains the GeoDataLinearRing. This class will at some point replace GeoPolygon which is currently used for a very similar purpose.

## Methods
| __init__ (self, Marble.GeoDataObject parent=0, Marble.TessellationFlags f=Marble.NoTessellation)
EnumGeometryId | geometryId (self)
bool | isClosed (self)

## Method Documentation

__init__ | ( | self, |
|  | Marble.GeoDataObject | parent=0,
|  | Marble.TessellationFlags | f=Marble.NoTessellation
| ) |  |  |

EnumGeometryId geometryId | ( |  | self ) |

bool isClosed | ( |  | self ) |